Bug 135479 - FC4 installation problem due to a SATA_SIL module loading issue...
FC4 installation problem due to a SATA_SIL module loading issue...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 18:49 EDT by Gabolander
Modified: 2013-07-02 22:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabolander 2004-10-12 18:49:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
I'm currently running Fedora Core 2 on a Serial ATA hd, and I wished
to upgrade to FC3t2.
I own a computer with a SATA Raid by Silicon Image on motherboard (my
computer specifications appear below). Unfortunately during boot up,
my installation stops after loading SATA_SIL module. On the screen,
after the dialog box "Loding SATA_SIL", some garbage characters appear
(like "#@$%@$^GAWE#" or something similar ) an nothing else... I'm
able to change sceen by pressing Alt+F3 or F4 to see debug messages,
but the installation won't run any longer.


I kindly appreciate any kind of suggestion ..
Thanks in advance.
Gabolander

Here are my system specs:
- CPU : AMD Athlon XP Barton 2500+ (overclocked to 3200+)
- MB ASUS A7N8XE-Deluxe
On Board:
RAID bus/Serial ATA Controller on Motherboard: SiI3112 Serial ATA
Silicon Image, Inc. (formerly CMD Technology Inc)
Silicon Image Serial ATARaid Controller [ CMD/Sil 3112/3112A ] (rev 01)
Ethernet controller: nVidia Corporation nForce2 Ethernet Controller
(rev a1)
Ethernet controller: Marvell Yukon Gigabit Ethernet 10/100/1000Base-T
(rev 13)
Multimedia audio controller: nVidia Corporation nForce MultiMedia audio i
[Via VT82C686B] (rev a2)
Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio
Controler
(MCP) (rev a1)
- 512 MB DDR (2 x DDR-400 PC3200 256Mb DIMM Desktop Module KINGMAX)
- 60 GB HD Maxtor UDMA ATA - MAXTOR 6L060L3
- 120 GB HD Maxtor SATA - Maxtor 6Y120M0
- Sound card: On M.Board :
- Video Card: GeForce FX5200 AGP 8X 128bit 128 MB (nVidia NV24 rev a1)
- DVD player SAMSUNG DVD-ROM SD-616T
- DVD/CD-Burner LG HL-DT-ST DVDRAM GSA-4082B
- Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+
(rev 10)
- Manhattan USB 2.0 daughter board:
USB Controller: VIA Technologies, Inc. VT82xxxxx
UHCI USB 1.1 Controller (rev 50)
USB Controller: VIA Technologies, Inc. VT82xxxxx
UHCI USB 1.1 Controller (rev 50)
USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)
- Multimedia video controller: Hauppauge WinTV Bt878 Video/Audio Capture
(rev 11)
- 2 x IEEE 1394 Firewire ports on board.
___________________________
Gabolander 

Version-Release number of selected component (if applicable):
installation process (N/A)

How reproducible:
Always

Steps to Reproduce:
1.Insert boot CD (es FC3t1) and switch on computer :)
2.At the boot prompt, just press enter (or type 'linux reiserfs' or
whatever you want, but of course 'noprobe' option...)
3.After loading sata_sil driver, during system probe, some bad chars
appear on screen and installation procedure stops.
    

Actual Results:  The installation stop.. only CTRL-ALT-DEL can reboot
the system

Expected Results:  during boot (but before probing hardware), my sata
hd (in my case hde) is not detected by the system, while FC2
installation got it from the beginning.. The expected result is to
detect the hd and continue the installation or update.

Additional info:

I think to have explained al the necessary information/
Comment 1 Gabolander 2004-10-12 18:51:22 EDT
Here are my system specs:
- CPU : AMD Athlon XP Barton 2500+ (overclocked to 3200+)
- MB ASUS A7N8XE-Deluxe
On Board:
RAID bus/Serial ATA Controller on Motherboard: SiI3112 Serial ATA
Silicon Image, Inc. (formerly CMD Technology Inc)
Silicon Image Serial ATARaid Controller [ CMD/Sil 3112/3112A ] (rev 01)
Ethernet controller: nVidia Corporation nForce2 Ethernet Controller
(rev a1)
Ethernet controller: Marvell Yukon Gigabit Ethernet 10/100/1000Base-T
(rev 13)
Multimedia audio controller: nVidia Corporation nForce MultiMedia audio i
[Via VT82C686B] (rev a2)
Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio
Controler
(MCP) (rev a1)
- 512 MB DDR (2 x DDR-400 PC3200 256Mb DIMM Desktop Module KINGMAX)
- 60 GB HD Maxtor UDMA ATA - MAXTOR 6L060L3
- 120 GB HD Maxtor SATA - Maxtor 6Y120M0
- Sound card: On M.Board :
- Video Card: GeForce FX5200 AGP 8X 128bit 128 MB (nVidia NV24 rev a1)
- DVD player SAMSUNG DVD-ROM SD-616T
- DVD/CD-Burner LG HL-DT-ST DVDRAM GSA-4082B
- Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+
(rev 10)
- Manhattan USB 2.0 daughter board:
USB Controller: VIA Technologies, Inc. VT82xxxxx
UHCI USB 1.1 Controller (rev 50)
USB Controller: VIA Technologies, Inc. VT82xxxxx
UHCI USB 1.1 Controller (rev 50)
USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)
- Multimedia video controller: Hauppauge WinTV Bt878 Video/Audio Capture
(rev 11)
- 2 x IEEE 1394 Firewire ports on 
Comment 2 Trevor Cordes 2005-02-03 18:37:13 EST
Exact same problem here.  I'm trying to install FC3 from DVD onto a
computer with no hard drives except for one attached to a Sil
3112-based PCI card.

The install gets to "Loading sata_sil driver..." and then prints
"Disabling IRQ #12" after the dots in white on blue type and hangs. 
The system isn't hosed as I still toggle the numlock LED but the
install is dead in the water and does not continue.
Comment 3 Jeff Garzik 2005-03-25 02:33:10 EST
FYI, http://lkml.org/lkml/2005/3/25/33
Comment 4 Dave Jones 2005-07-15 16:47:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Trevor Cordes 2005-07-16 06:04:53 EDT
I seriously think this is a duplicate of bug #128180 even though the original
poster's error message symptom showed garbage instead of the normal "Disabling
IRQ #5".

As per 128180, this bug still exists as of July 15 2005 rawhide boot.iso install
attempt, and other bugs show it still exists in FC4.
Comment 6 Gabolander 2005-07-16 11:38:33 EDT
(In reply to comment #4)
> An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
> may contain a fix for your problem.   Please update to this new kernel, and
> report whether or not it fixes your problem.
> 
> If you have updated to Fedora Core 4 since this bug was opened, and the problem
> still occurs with the latest updates for that release, please change the version
> field of this bug to 'fc4'.

The problem is unchanged until kernel version  2.6.12-1.1387_FC4 in my system.
I could install FC4 in my system anyway, by disabling SATA, installing
everything on a PATA disk, compiling a custom kernel enabling old libata in the
kernel, and transferring back everything on a SATA disk.

Comment 7 Dave Jones 2006-01-16 17:37:19 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 8 Dave Jones 2006-02-03 02:34:02 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-05 10:51:45 EDT
Closing per last comment.

Note You need to log in before you can comment on or make changes to this bug.